%define anolis_release 1

%global selinuxtype targeted
%global moduletype contrib
%global modulename mysql

Name:           mysql-selinux
Version:        1.0.13
Release:        %{anolis_release}%{?dist}
License:        GPLv3
Summary:        SELinux policies for product
URL:            https://github.com/devexp-db/mysql-selinux
Source0:        https://github.com/devexp-db/mysql-selinux/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  selinux-policy-devel make

Requires:       policycoreutils policycoreutils-python-utils
Requires:       libselinux-utils selinux-policy selinux-policy-base
Requires(post): policycoreutils

%{?selinux_requires}
Requires:       selinux-policy-%{selinuxtype}
Requires(post): selinux-policy-%{selinuxtype}

%description
This package contains SELinux policy modules for MySQL and MariaDB packages.

%prep
%autosetup -n %{name}-%{version}

%build
make

%install
install -d %{buildroot}%{_datadir}/selinux/packages/%{selinuxtype}
install -m 0644 %{modulename}.pp.bz2 %{buildroot}%{_datadir}/selinux/packages

%pre
%selinux_relabel_pre -s %{selinuxtype}

%post
%selinux_modules_install -s %{selinuxtype} %{_datadir}/selinux/packages/%{modulename}.pp.bz2 || :

%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s %{selinuxtype} %{modulename} || :
fi

%posttrans
%selinux_relabel_post -s %{selinuxtype} || :

%files
%license COPYING
%defattr(-,root,root,0755)
%attr(0644,root,root) %{_datadir}/selinux/packages/%{modulename}.pp.bz2
%ghost %verify(not mode md5 size mtime) %{_sharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}

%changelog
* Tue Mar 18 2025 Hong Wei Qin <qhw01063182@alibaba-inc.com> - 1.0.13-1
- Update to 1.0.13 from 1.0.5

* Wed Apr 12 2023 yuanhui <yuanhui@linux.alibaba.com> 1.0.5-2
- Optimize the spec file

* Fri Jul 22 2022 happy_orange <songnannan@linux.alibaba.com> - 1.0.5-1
- Init pacakge from upstream
